pfSense - Feature #8418

OCSP Stapling
04/02/2018 11:42 AM - Peter Berbec

Status: Resolved Start date: 04/02/2018
Priority: Very Low Due date:

Assignee: Peter Berbec % Done: 0%
Category: Web Interface Estimated time: 0.00 hour
Target version: 244

Description

With Letsencrypt offering wildcard, people may get in a situation where the certificate they use has been "ocsp must staple"-ed, and
the nginx config in pfSense doesn't enable this option.

Associated revisions

Revision 00e54150 - 04/02/2018 02:18 PM - Jim Pingle
Add function to detect OCSP Must Staple certs. Ticket #8418 and Ticket #8299

History

#1 - 04/02/2018 11:45 AM - Peter Berbec

Peter Berbec wrote:

With Letsencrypt offering wildcard, people may get in a situation where the certificate they use has been "ocsp must staple"-ed, and the nginx
config in pfSense doesn't enable this option.

| believe my pull request enables this feature.

https://github.com/pfsense/pfsense/pull/3927

#2 - 08/07/2018 02:48 PM - Jim Pingle
- Status changed from New to Resolved

- Target version set to 2.4.4

This was merged and tested a few months ago
